Package com.macrofocus.selection.implementation

# Class BeanSingleSelection<E>

java.lang.Object
com.macrofocus.common.selection.AbstractSelection<E>
com.macrofocus.common.selection.AbstractMutableSelection<E>
com.macrofocus.common.selection.AbstractMutableSingleSelection<E>
com.macrofocus.selection.implementation.BeanSingleSelection<E>

All Implemented Interfaces:
  `MutableSelection<E>`, `MutableSingleSelection<E>`, `Selection<E>`, `SingleSelection<E>`, `Iterable<E>`

public class BeanSingleSelection<E> extends AbstractMutableSingleSelection<E> implements MutableSingleSelection<E>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanSingleSelection(Object o, String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `clearSelection()`
  Change the selection to the empty set.
  `E`
  `getSelected()`
  `int`
  `getSelectedCount()`
  Returns the number of elements currently selected.
  `Set<E>`
  `getSelectedSet()`
  Returns the selected elements as a Set.
  `boolean`
  `isActive()`
  Indicates whether at least one element is currently selected.
  `boolean`
  `isSelected(E element)`
  Indicates whether a given element is selected or not.
  `Iterator<E>`
  `iterator()`
  `void`
  `setSelected(E element)`
  Change the selection to the given element.
  `void`
  `setSelectedElements(E... elements)`
  `boolean`
  `setSelectedElementsState(boolean selected, E... elements)`
  Set the selection state.
  `void`
  `setSelectedIterable(Iterable<E> elements)`
  `boolean`
  `setSelectedIterableState(Iterable<E> element, boolean selected)`
  Set the selection state.
  `void`
  `setSelectedState(E element, boolean selected)`

  ### Methods inherited from class com.macrofocus.common.selection.AbstractMutableSingleSelection

  `addSingleSelectionListener, addWeakSingleSelectionListener, notifySingleSelectedChanged, removeSingleSelectionListener`

  ### Methods inherited from class com.macrofocus.common.selection.AbstractMutableSelection

  `setEnabled`

  ### Methods inherited from class com.macrofocus.common.selection.AbstractSelection

  `addSelectionListener, addWeakSelectionListener, isEnabled, notifySelectedChanged, removeSelectionListener, removeSelectionListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface com.macrofocus.common.selection.MutableSelection

  `setEnabled`

  ### Methods inherited from interface com.macrofocus.common.selection.Selection

  `addSelectionListener, addWeakSelectionListener, isEnabled, removeSelectionListener, removeSelectionListeners`

  ### Methods inherited from interface com.macrofocus.common.selection.SingleSelection

  `addSingleSelectionListener, addWeakSingleSelectionListener, removeSingleSelectionListener`

- ## Constructor Details

  - ### BeanSingleSelection

    public BeanSingleSelection(Object o, String name)

- ## Method Details

  - ### clearSelection

    public boolean clearSelection()
    Description copied from interface: `MutableSelection`
    Change the selection to the empty set. If this represents a change to the current selection then notify each listener.
    Specified by:
      `clearSelection` in interface `MutableSelection<E>`
    Returns:
      true, if the set of selected elements was changed.

  - ### isActive

    public boolean isActive()
    Description copied from interface: `Selection`
    Indicates whether at least one element is currently selected.
    Specified by:
      `isActive` in interface `Selection<E>`
    Returns:
      true if at least one element is selected, false otherwise.

  - ### isSelected

    public boolean isSelected(E element)
    Description copied from interface: `Selection`
    Indicates whether a given element is selected or not.
    Specified by:
      `isSelected` in interface `Selection<E>`
    Parameters:
      `element` - the element to be tested
    Returns:
      true if the element is selected, false otherwise

  - ### setSelectedState

    public void setSelectedState(E element, boolean selected)
    Specified by:
      `setSelectedState` in interface `MutableSelection<E>`

  - ### setSelectedIterableState

    public boolean setSelectedIterableState(Iterable<E> element, boolean selected)
    Description copied from interface: `MutableSelection`
    Set the selection state.
    Specified by:
      `setSelectedIterableState` in interface `MutableSelection<E>`
    Parameters:
      `element` - the elements to change
      `selected` - true to have the elements selected, false otherwise
    Returns:
      true, if the set of selected elements was changed.

  - ### setSelectedElementsState

    public boolean setSelectedElementsState(boolean selected, E... elements)
    Description copied from interface: `MutableSelection`
    Set the selection state.
    Specified by:
      `setSelectedElementsState` in interface `MutableSelection<E>`
    Parameters:
      `selected` - true to have the elements selected, false otherwise
      `elements` - the elements to change
    Returns:
      true, if the set of selected elements was changed.

  - ### setSelectedElements

    public void setSelectedElements(E... elements)
    Specified by:
      `setSelectedElements` in interface `MutableSelection<E>`

  - ### setSelectedIterable

    public void setSelectedIterable(Iterable<E> elements)
    Specified by:
      `setSelectedIterable` in interface `MutableSelection<E>`

  - ### getSelected

    public E getSelected()
    Specified by:
      `getSelected` in interface `SingleSelection<E>`

  - ### setSelected

    public void setSelected(E element)
    Description copied from interface: `MutableSingleSelection`
    Change the selection to the given element.
    Specified by:
      `setSelected` in interface `MutableSelection<E>`
    Specified by:
      `setSelected` in interface `MutableSingleSelection<E>`
    Parameters:
      `element` - the element to replace the current selection.

  - ### getSelectedCount

    public int getSelectedCount()
    Description copied from interface: `Selection`
    Returns the number of elements currently selected.
    Specified by:
      `getSelectedCount` in interface `Selection<E>`
    Returns:
      the number of selected elements.

  - ### getSelectedSet

    public Set<E> getSelectedSet()
    Description copied from interface: `Selection`
    Returns the selected elements as a Set.
    Specified by:
      `getSelectedSet` in interface `Selection<E>`
    Returns:
      the Set of selected elements.

  - ### iterator

    public Iterator<E> iterator()
    Specified by:
      `iterator` in interface `Iterable<E>`